<div class="container event-view" *ngIf="event">
    <header class="event-header">
        <img [src]="event.picture">
        <div class="title-container">
            <h2 class="event-title">{{ event.title }}</h2>
            <a [routerLink]="'/w/'+event.worldUrl">
                <app-icon className="icon-world"></app-icon>
                {{ event.worldTitle }}
            </a>
            <span class="meta">/ POSTED ON {{ event.createdAt | date: 'mediumDate'}} <span *ngIf="event.updatedAt">(LAST UPDATE {{ event.updatedAt | date: 'mediumDate'}})</span></span>
        </div>
        

        <div class="intro">
            {{ event.description }}
        </div>

    </header>

    <ul class="thread-list">

        <li class="thread-preview" *ngFor="let thread of event.threads">

            <div class="author" 
            [mr]="0"
            [user]="{username: thread.username, avatar: thread.userAvatar, is_online: true}"
            app-user-tag></div>
            
            <div class="brief">

                <div class="thread-actions">
                    <app-icon className="icon-bookmark"></app-icon>
                    <app-icon className="icon-bell"></app-icon>
                    <app-icon className="icon-share"></app-icon>
                </div>

                <p>{{ (thread.contents.length > 450) ? (thread.contents | slice:0:450) + '...' : (thread.contents) }} <a [routerLink]="'/t/'+thread.url">Leer Más</a></p>

                <p class="thread-meta">Publicado el {{ thread.createdAt | date: 'mediumDate'}} <span *ngIf="thread.updatedAt">(Última actualización {{ event.updatedAt | date: 'mediumDate'}})</span></p>
                
                <div class="characters">
                    <hr>
                    <ul class="flex-list">
                        <li><b class="list-title">INVITADOS</b></li>
                        <li 
                        app-character-tag
                        id="asdadsda"
                        name="Reyna"
                        avatar="https://cdna.artstation.com/p/assets/images/images/020/679/830/large/rina-samoylova-.jpg?1568744294" 
                        [small]="true"></li>

                        <li 
                        app-character-tag
                        id="asdadsda"
                        name="Serylda"
                        avatar="https://wallpapermemory.com/uploads/589/riven-league-of-legends-wallpaper-hd-1366x768-173050.jpg" 
                        [small]="true"></li>
                    </ul>
                    <hr>
                </div>

                <div class="thread-footer">
                    <b>OPEN</b>
                    <span> / </span>
                    <b>Solo publican invitados</b>
                    <span> / </span>
                    <a [routerLink]="'/t/'+thread.url">
                        <b>
                            {{thread.totalPosts + ' Respuesta' + (thread.totalPosts != 1 ? 's' : '')}}
                        </b>
                    </a>
                </div>
            </div>
            
        </li>

        <!-- <li class="thread-preview">
            <div class="author" 
            [mr]="0"
            [user]="{username:'bsunnucksx', picture: 'http://dummyimage.com/333x335.bmp/dddddd/000000', is_online: true}"
            app-user-tag></div>
            
            <div class="brief">

                <div class="thread-actions">
                    <app-icon className="icon-bookmark"></app-icon>
                    <app-icon className="icon-bell"></app-icon>
                    <app-icon className="icon-share"></app-icon>
                </div>

                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Consequatur amet voluptas facere reprehenderit in optio sit corrupti similique, neque nihil molestias enim. Iste sapiente cumque perferendis facilis aliquam explicabo veniam... <a href="">Leer</a></p>

                <p class="thread-meta">Publicado el Jun 24, 2020 (Última actualización Sep 29, 2020)</p>

                <div class="thread-footer">
                    <b>OPEN</b>
                    <span> / </span>
                    <b>Publicación Libre</b>
                    <span> / </span>
                    <a routerLink="/t/ksjdksjd"><b>10 Replies</b></a>
                </div>
            </div>
        </li> -->

        <!-- <li class="thread-preview">
            <div class="author" 
            [mr]="0"
            [user]="{username:'bsunnucksx', picture: 'http://dummyimage.com/333x335.bmp/dddddd/000000', is_online: true}"
            app-user-tag></div>
            
            <div class="brief">

                <div class="thread-actions">
                    <app-icon className="icon-bookmark"></app-icon>
                    <app-icon className="icon-bell"></app-icon>
                    <app-icon className="icon-share"></app-icon>
                </div>

                <p>Lorem ipsum dolor sit amet consectetur adipisicing elit. Consequatur amet voluptas facere reprehenderit in optio sit corrupti similique, neque nihil molestias enim. Iste sapiente cumque perferendis facilis aliquam explicabo veniam... <a href="">Leer</a></p>

                <p class="thread-meta">Publicado el Jun 24, 2020 (Última actualización Sep 29, 2020)</p>
                
                <div class="characters">
                    <hr>
                    <ul class="flex-list">
                        <li><b class="list-title">INVITADOS</b></li>
                        <li 
                        app-character-tag
                        id="asdadsda"
                        name="Reyna"
                        avatar="https://cdna.artstation.com/p/assets/images/images/020/679/830/large/rina-samoylova-.jpg?1568744294" 
                        [small]="true"></li>

                        <li 
                        app-character-tag
                        id="asdadsda"
                        name="Serylda"
                        avatar="https://wallpapermemory.com/uploads/589/riven-league-of-legends-wallpaper-hd-1366x768-173050.jpg" 
                        [small]="true"></li>
                    </ul>
                    <hr>
                </div>

                <div class="thread-footer">
                    <b>CLOSED</b>
                    <span> / </span>
                    <b>Publicación Libre</b>
                    <span> / </span>
                    <a routerLink="/t/ksjdksjd"><b>5 Replies</b></a>
                </div>
            </div>
        </li> -->

    </ul>
</div>
